# OpenID Claveunica

This module helps to integrate the openid "[clave única](https://claveunica.gob.cl/)" with OpenID Connect. This openid is used by public institutions
in Chile.

## Requirements

This module requires [OpenID Connect](https://www.drupal.org/project/openid_connect)

## Installation

Install as you would normally install a contributed Drupal module.
Visit [project page](https://www.drupal.org/project/openid_connect) and
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules)
for further information.

## Configuration

Go to `Administration >> Configuration >> Services >> OpenID Connect`

Add a "claveunica" client and complete the credentials.

## Troubleshooting

When a user logs in with `claveunica` for the first time, the first step before finishing the login is to complete the
account profile. You can customize this form by creating the form mode for the user entity with the machine name
`complete_profile_claveunica`.
