<?php

/**
 * Modify the user info from claveunica.
 *
 * @param array $userinfo
 *   The userinfo array from claveunica.
 *
 * @ingroup openid_claveunica_api
 */
function hook_openid_claveunica_post_retrieve_userinfo_alter(array &$userinfo) {
  // Check if a user exists with the rut.
  $accounts = \Drupal::entityTypeManager()->getStorage('user')
    ->loadByProperties(['run_number_field_example' => $userinfo['run_number']]);

  if (!empty($accounts)) {
    // Do something.
  }
}
